﻿////////////////////////////////////////////////////////////////////////////////////
// margu-NotebookInfo2 Gadget
//
// Copyright 2009 Mario Guschok (margu.eu).
//
//  This file is part of margu-NotebookInfo2.
//
//  margu-NotebookInfo2 is free software: you can redistribute it
//  and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either
//  version 3 of the License, or (at your option) any later version.
//
//  margu-NotebookInfo2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with margu-NotebookInfo2.  If not, see <http://www.gnu.org/licenses/>.
//
////////////////////////////////////////////////////////////////////////////////////

var presArr = new Array(1, 2, 5, 10, 20, 30, 45, 60);
var defalsnd = System.Gadget.document.parentWindow.defalsnd;

function Init()
{
	headimg.src = "/img/Flyout/alarmhead.png";
	content.style.backgroundColor = System.Gadget.Settings.read("gadgetcolourback");
	content.style.color = System.Gadget.Settings.read("gadgetcolourlabel");
	loadSettings();
}

function loadSettings()
{
	altimetext.innerText = AlarmText[0];
	sequencetext.innerText = AlarmText[1];
	soundtext.innerText = AlarmText[2];
	alarmsetbtn.value = AlarmText[3];
	alarmundobtn.value = AlarmText[4];
	presettext.innerText = AlarmText[9];
	defaultalsndtext.innerText = AlarmText[10];
	alarmsoundbtn.value = SettText[31];

	fillCombos();
	altimehselect.value=System.Gadget.Settings.read("al2timehselect");
	altimemselect.value=System.Gadget.Settings.read("al2timemselect");
	if (System.Gadget.Settings.read("sequence2select"))
	{
		sequenceselect.value=System.Gadget.Settings.read("sequence2select");
	}
	else
	{
		sequenceselect.value="0";
	}
	if (System.Gadget.Settings.read("sound2select"))
	{
		soundselect.value=System.Gadget.Settings.read("sound2select");
	}
	else
	{
		soundselect.value="1";
	}
	if (!System.Gadget.Settings.read("defaultalsnd2box"))
	{
		defaultalsndbox.checked="1";
	}
	else
	{
		defaultalsndbox.checked=System.Gadget.Settings.read("defaultalsnd2box");
	}
	if (!System.Gadget.Settings.read("alarm2soundpath"))
	{
		alarmsoundpath.value = defalsnd;
	}
	else
	{
		alarmsoundpath.value = System.Gadget.Settings.read("alarm2soundpath");
	}
}

function fillCombos()
{
	var i, vorst;
	for (i=0; i<=23;i++)
	{
		vorst  = ((i < 10) ? "0" : "");
		altimehselect.options[altimehselect.length] = new Option(vorst +i, i);
	}
	for (i=0;i<=59;i++)
	{
		vorst  = ((i < 10) ? "0" : "");
		altimemselect.options[altimemselect.length] = new Option(vorst +i, i);
	}

	sequenceselect.options[sequenceselect.length] = new Option(AlarmText[5], 0);
	sequenceselect.options[sequenceselect.length] = new Option(AlarmText[6], 1);

	soundselect.options[soundselect.length] = new Option(WLANText[11], 0);
	soundselect.options[soundselect.length] = new Option(WLANText[10], 1);

	for (i=0; i<presArr.length;i++)
	{
		presetselect.options[presetselect.length] = new Option(presArr[i] + " Min.", i);
	}
}

function onchangeaction(wert)
{
	if (wert == "preset")
	{
		if(System.Gadget.Settings.read("timeZoneIndex2")!="")
		{
			timeZoneIndex2 = parseInt(System.Gadget.Settings.read("timeZoneIndex2"));
		}
		collTZones();
		fillDateVars("clock2");
		var pm, ph;
		var pres = parseInt(presArr[presetselect.value]);
		if ((Minuten + pres) > 59)
		{
			pm = (Minuten + pres) - 60;
			ph = Stunden + 1;
		}
		else
		{
			pm = Minuten + pres;
			ph = Stunden;
		}

		altimehselect.value = ph;
		altimemselect.value = pm;
	}
}

function alarmbutton(wert)
{
	if (wert == "clear")
	{
		System.Gadget.Settings.write("alarm2active",0);
		System.Gadget.Settings.write("al2timehselect","");
		System.Gadget.Settings.write("al2timemselect","");
		System.Gadget.Settings.write("sequence2select","");
		System.Gadget.Settings.write("sound2select",1);
		System.Gadget.Settings.write("alarm2now", 0);
		System.Gadget.Settings.write("defaultalsnd2box",1);
		altimehselect.value="";
		altimemselect.value="";
		sequenceselect.value="0";
		soundselect.value="1";
		defaultalsndbox.checked = true;
	}
	if (wert == "set")
	{
		if ((defaultalsndbox.checked != 1) && (alarmsoundpath.value == ""))
		{
			alert(AlarmText[11]);
			return;
		}
		else if (!altimehselect.value || !altimemselect.value || !sequenceselect.value || !soundselect.value)
		{
			alert(AlarmText[0]);
			return;
		}
		else
		{
			System.Gadget.Settings.write("alarm2active",1);
			System.Gadget.Settings.write("al2timehselect",altimehselect.value);
			System.Gadget.Settings.write("al2timemselect",altimemselect.value);
			System.Gadget.Settings.write("sequence2select",sequenceselect.value);
			System.Gadget.Settings.write("sound2select",soundselect.value);
			System.Gadget.Settings.write("defaultalsnd2box",defaultalsndbox.checked);
			System.Gadget.Settings.write("alarm2soundpath", alarmsoundpath.value);
			System.Gadget.Flyout.show = false;
		}
	}
}


